jQuery(function($){

	$('#activoSn055').rup_combo({
		source : [
				   {label: $.rup.i18n.app.mantenimientos.todas, value:"0"},
				   {label: $.rup.i18n.app.mantenimientos.activos, value:"S"},
				   {label: $.rup.i18n.app.mantenimientos.inactivos, value:"N"}					   
				],
		width: 120,
		rowStriping : true,
		inputText:true,
		ordered:true
	});
	
	if(esUsuarioModificacion){
		$("#SubtiposActividad").rup_table({
			url: "../ab03b55t00",
			colNames: [
				$.rup.i18n.app.mantenimientos.id,
				$.rup.i18n.app.mantenimientos.descEs,
				$.rup.i18n.app.mantenimientos.descEu,
				$.rup.i18n.app.mantenimientos.ActiSN
			],
			colModel: [
				{ 	name: "id055", 
				 	label: "id055",
					align: "center", 
					width: 40, 
					editable: true, 
					fixed: false, 
					hidden: false, 
					resizable: true, 
					sortable: true
				},
				{ 	name: "descEs055", 
				 	label: "descEs055",
					align: "", 
					width: 150, 
					editable: true, 
					fixed: false, 
					hidden: false, 
					resizable: true, 
					sortable: true
				},
				{ 	name: "descEu055", 
				 	label: "descEu055",
					align: "", 
					width: 150, 
					editable: true, 
					fixed: false, 
					hidden: false, 
					resizable: true, 
					sortable: true
				},
				{ 	name: "activoSn055", 
				 	label: "activoSn055",
					align: "center", 
					width: 60, 
					edittype: "checkbox",
					formatter: "checkbox",
					align: "center",
					editoptions: {
						value:"S:N"
					},
					editable: true, 
					fixed: false, 
					hidden: false, 
					resizable: true, 
					sortable: true
				}
	        ],
	        model:"Ab03b55t00",
	        usePlugins:[
				"formEdit",
	        	"feedback",
				"toolbar",
	        	"contextMenu",
	        	"fluid",
	        	"filter"
	         	],
	     	core: {	
	        	showOperations: {
	        		'delete': false
	        	}
	        },
			primaryKey: "id055",
			sortname: "id055",
			sortorder: "asc",
			loadOnStartUp: true,
			feedback:{
				config:{
					block: false
				}
			},
	        formEdit:{
	        	detailForm: "#SubtiposActividad_detail_div",
				fillDataMethod: "clientSide",
	         	validate:{ 
	    			rules:{
	    				"descEs055":{
							required: true,
							maxlength: 100
	    					},
	    				"descEu055":{
							required: true,
							maxlength: 100
	    					},
	    				"activoSn055":{
							required: false
	    				}
	    			}
	    		}
	        }
		});
	}else{
		$("#SubtiposActividad").rup_table({
			url: "../ab03b55t00",
			colNames: [
				$.rup.i18n.app.mantenimientos.id,
				$.rup.i18n.app.mantenimientos.descEs,
				$.rup.i18n.app.mantenimientos.descEu,
				$.rup.i18n.app.mantenimientos.ActiSN
			],
			colModel: [
				{ 	name: "id055", 
				 	label: "id055",
					align: "center", 
					width: 40, 
					editable: true, 
					fixed: false, 
					hidden: false, 
					resizable: true, 
					sortable: true
				},
				{ 	name: "descEs055", 
				 	label: "descEs055",
					align: "", 
					width: 150, 
					editable: true, 
					fixed: false, 
					hidden: false, 
					resizable: true, 
					sortable: true
				},
				{ 	name: "descEu055", 
				 	label: "descEu055",
					align: "", 
					width: 150, 
					editable: true, 
					fixed: false, 
					hidden: false, 
					resizable: true, 
					sortable: true
				},
				{ 	name: "activoSn055", 
				 	label: "activoSn055",
					align: "center", 
					width: 60, 
					edittype: "checkbox",
					formatter: "checkbox",
					align: "center",
					editoptions: {
						value:"S:N"
					},
					editable: true, 
					fixed: false, 
					hidden: false, 
					resizable: true, 
					sortable: true
				}
	        ],
	        model:"Ab03b55t00",
	        usePlugins:[
	        	"feedback",
	        	"fluid",
	        	"filter"
	         	],
	     	core: {	
	        	showOperations: {
	        		'delete': false
	        	}
	        },
			primaryKey: "id055",
			sortname: "id055",
			sortorder: "asc",
			loadOnStartUp: true,
			feedback:{
				config:{
					block: false
				}
			}
		});
	}
	
	$("#SubtiposActividad_filter_form").rup_validate({
		feedback:$("#SubtiposActividad_feedback"),
		liveCheckingErrors: false,
		rules:{
			"id055":{digits:true}
		}
	});	
	
	
	$("#SubtiposActividad").on("rupTable_beforeFilter",
		function(){
			if(ab03bUtils.form.validate($("#SubtiposActividad_filter_form"))){	
				return true;
			} else {
				return false;
			}
		}
	);	
});

$("#SubtiposActividad").on("jqGridAddEditAfterShowForm", function(event,savedData, newData){
	
	var texto=$("#ui-dialog-title-SubtiposActividad_detail_div").html();
	if(texto=="Agregar registro"||texto=="Gehitu erregistroa"){
		setTimeout(function(){
			$("#activoSn055_detail_table").prop("checked",true);
		},100);
		$("#activoSn055_detail_table").attr("disabled",true);
	}else{
		$("#activoSn055_detail_table").attr("disabled",false);
	}
	
	$("#id055_detail_table").attr("disabled",true);
		
});

//Funcion limpiar
$('#SubtiposActividad_filter_cleanLink').click(function(event){
	resetFiltro($("#SubtiposActividad_filter_form"));
	
	//se borran los mensajes de errores que se muestran en el feedback
	$("#SubtiposActividad_filter_form").validate().submitted = {};
	//se cierra el feedback
	$("#SubtiposActividad_feedback").rup_feedback("close");
	
	$("#SubtiposActividad").rup_table('filter'); 
	
	// se quitan las imagenes que marcan el error
	$(".rup-maint_validateIcon", $("#SubtiposActividad_filter_form")).remove();
});